@extends('hr::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js" integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ==" crossorigin="anonymous"></script>
<link rel="stylesheet" href="{{ Module::asset('hr:css/hr/reportEmployeeList.css') }}" type="text/css">
<!-- AutoComplete -->
<link rel="stylesheet" href="{{ Module::asset('hr:js/autocomplete2/css/autocomplete.min.css') }}" type="text/css">
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <div class="card-body">
                <h6 class="card-title">Employee Detail Report</h6>
                {{ csrf_field() }}
                <div class="row">
                    <div class="col-md-6">
                        <i class="fa fa-list-alt text-info" aria-hidden="true"></i>
                        <label>Report</label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <select class="form-control" id="cmbReport" name="selcCompany">
                            <option selected="true" disabled="disabled">-- Select Report --</option>
                            <option value="1">All Employee Details Report</option>
                            <option value="2">Basic Salary Report</option>
                            <option value="3">Resign Employee Details Report</option>
                            <option value="4">Leave Status Report</option>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">


                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Category</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkCategorySearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcCategory" name="selcCategory"></select>
                                    </div>
                                </div>
                            </div>
                        </div>




                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Site</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkSiteSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcSite" name="selcSite"></select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Department</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkDepartmentSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcDepartment" name="selcDepartment"></select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Section</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkSectionSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcSection" name="selcSection"></select>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Sub Section</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkSubsectionSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcSubsection" name="selcSubsection"></select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Company</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkCompanySearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcCompany" name="selcCompany"></select>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Team</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkTeamSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcTeam" name="selcTeam"></select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12 mb-3">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Employee</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkEmployeeSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <input type="text" class="form-control auto-complete" id="employee-autocomplete">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <hr>
                        <div class="row">
                            <div class="col-md-6 mb-3" id="startDate">
                                <i class="fa fa-calendar text-info" aria-hidden="true"></i>
                                <label id="lblDateFrom">Date From</label>
                                <input type="text" class="form-control" id="txtDateFrom" name="startDate">
                            </div>
                            <div class="col-md-6 mb-3" id="endDate">
                                <i class="fa fa-calendar text-info" aria-hidden="true"></i>
                                <label id="lblDateTo">Date To</label>
                                <input type="text" class="form-control" id="txtDateTo" name="endDate">
                            </div>
                        </div>



                        <hr>

                        <div class="row">
                            <div class="col-md-8 mb-3">
                            </div>
                            <div class="col-md-2 mb-3">
                                <button type="button" class="btn btn-primary" onclick="_export()" id="btnExport">Export</button>
                            </div>
                            <div class="col-md-2 mb-3">
                                <button type="button" id="btnPrint" class="btn btn-primary" onclick="createReport('PRINT')">Print</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
<!-- JQuery -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

@section('script')
<!-- AutoComplete -->
<script src="{{ Module::asset('hr:js/autocomplete2/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/vfs_fonts.js" integrity="sha512-vv3EN6dNaQeEWDcxrKPFYSFba/kgm//IUnvLPMPadaUf5+ylZyx4cKxuc4HdBf0PPAlM7560DV63ZcolRJFPqA==" crossorigin="anonymous"></script>
<script type="application/octet-stream" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/fonts/Roboto/Roboto-Medium.ttf"></script>
<script src="{{ Module::asset('hr:js/pdf/Page.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('hr:js/pdf/PDFViewer.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('hr:js/svr.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('hr:js/employeeDetailReport.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection